public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-office/gnucash/
Date: Tue, 10 Jan 2017 20:14:09 +0000 (UTC)	[thread overview]
Message-ID: <1484079239.644d25536dc3b237b9a67588d12e568a2a03767b.pacho@gentoo> (raw)

commit:     644d25536dc3b237b9a67588d12e568a2a03767b
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 10 20:11:20 2017 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Tue Jan 10 20:13:59 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=644d2553

app-office/gnucash: Version bump

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 app-office/gnucash/Manifest                 |   1 +
 app-office/gnucash/gnucash-2.6.15-r1.ebuild | 109 +++++++++++++++++++++++++++
 app-office/gnucash/gnucash-2.6.15.ebuild    | 110 ++++++++++++++++++++++++++++
 3 files changed, 220 insertions(+)

diff --git a/app-office/gnucash/Manifest b/app-office/gnucash/Manifest
index a04c65d..bc08614 100644
--- a/app-office/gnucash/Manifest
+++ b/app-office/gnucash/Manifest
@@ -1 +1,2 @@
 DIST gnucash-2.6.13.tar.bz2 13564015 SHA256 0fe3c12c849cddee502da07edc8e3db286d32333f4e7cb327bed735f480ee735 SHA512 daad6d55485de6ce3ca6affe232c51252d853c803734f4737ab2477e7724c42fa2ea764f5fdeea00d956bcbaad338a30fe21c62a578a818d5e8b4f5878f060b5 WHIRLPOOL 6f1ed3e9eaf9e80e8131fc48ff5480790a15093f1d2ab9b2c074644feb3c4d5db60315ba9e480f9697c21f0be7908f922ceff51a284632d65eb4fa7bda551e3b
+DIST gnucash-2.6.15.tar.bz2 13406483 SHA256 1619eb8263439f547dd12afdc0b05b9a50593d5cd3d3e9ee5b05edaec3b6dbae SHA512 6ec0652565025ac8281152ed64f2f820ecdb17ead5f17738728e094d116e638a08af57a46c0d5b59679f30f142ce372a5f61bd164f68f6b608d09de37cec38c6 WHIRLPOOL a54e7a20bcf8b181d101d70c7b6c0f2c5a6921af50c151239d06c698aad7511b23f787d8dc0f8a32c41b5a2327085df5dbcadb73a35b9d239be2ecddfad1fcf0

diff --git a/app-office/gnucash/gnucash-2.6.15-r1.ebuild b/app-office/gnucash/gnucash-2.6.15-r1.ebuild
new file mode 100644
index 00000000..9707d62
--- /dev/null
+++ b/app-office/gnucash/gnucash-2.6.15-r1.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python2_7 )
+
+inherit autotools gnome2 python-single-r1
+
+DESCRIPTION="A personal finance manager"
+HOMEPAGE="http://www.gnucash.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="chipcard debug +doc gnome-keyring hbci mysql ofx postgres python quotes sqlite"
+
+# FIXME: rdepend on dev-libs/qof when upstream fix their mess (see configure.ac)
+# libdbi version requirement for sqlite taken from bug #455134
+RDEPEND="
+	>=dev-libs/glib-2.32.0:2
+	>=dev-libs/popt-1.5
+	>=dev-libs/libxml2-2.5.10:2
+	dev-libs/libxslt
+	>=dev-scheme/guile-2.0.0:12=[deprecated,regex]
+	dev-scheme/guile-www
+	gnome-base/libgnomecanvas
+	>=net-libs/webkit-gtk-1.2:2
+	>=sys-libs/zlib-1.1.4
+	>=x11-libs/gtk+-2.24:2
+	>=x11-libs/goffice-0.7.0:0.8[gnome]
+	x11-libs/pango
+	gnome-keyring? ( >=app-crypt/libsecret-0.18 )
+	ofx? ( >=dev-libs/libofx-0.9.1 )
+	hbci? ( >=net-libs/aqbanking-5[gtk,ofx?]
+		sys-libs/gwenhywfar[gtk]
+		chipcard? ( sys-libs/libchipcard )
+	)
+	python? ( ${PYTHON_DEPS} )
+	quotes? ( dev-perl/Date-Manip
+		>=dev-perl/Finance-Quote-1.11
+		dev-perl/HTML-TableExtract )
+	sqlite? ( >=dev-db/libdbi-0.9.0
+		>=dev-db/libdbi-drivers-0.9.0[sqlite] )
+	postgres? ( dev-db/libdbi dev-db/libdbi-drivers[postgres] )
+	mysql? ( dev-db/libdbi dev-db/libdbi-drivers[mysql] )
+"
+DEPEND="${RDEPEND}
+	dev-util/intltool
+	gnome-base/gnome-common
+	sys-devel/libtool
+	virtual/pkgconfig
+"
+PDEPEND="doc? ( >=app-doc/gnucash-docs-2.2.0 )"
+
+pkg_setup() {
+	use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	# Skip test that needs some locales to be present
+	sed -i -e '/test_suite_gnc_date/d' src/libqof/qof/test/test-qof.c || die
+
+	# We need to run eautoreconf to prevent linking against system libs,
+	# this can be noticed, for example, when updating an old version
+	# compiled against guile-1.8 to a newer one relying on 2.0
+	# https://bugs.gentoo.org/show_bug.cgi?id=590536#c39
+	# https://bugzilla.gnome.org/show_bug.cgi?id=775634
+	eautoreconf
+
+	gnome2_src_prepare
+}
+
+src_configure() {
+	local myconf
+
+	DOCS="doc/README.OFX doc/README.HBCI"
+
+	if use sqlite || use mysql || use postgres ; then
+		myconf+=" --enable-dbi"
+	else
+		myconf+=" --disable-dbi"
+	fi
+
+	# gtkmm is experimental and shouldn't be enabled, upstream bug #684166
+	gnome2_src_configure \
+		$(use_enable debug) \
+		$(use_enable gnome-keyring password-storage) \
+		$(use_enable ofx) \
+		$(use_enable hbci aqbanking) \
+		$(use_enable python) \
+		--disable-doxygen \
+		--disable-gtkmm \
+		--enable-locale-specific-tax \
+		--disable-error-on-warning \
+		--with-guile=2.0 \
+		${myconf}
+}
+
+src_install() {
+	# Parallel installation fails from time to time, bug #359123
+	gnome2_src_install -j1 GNC_DOC_INSTALL_DIR=/usr/share/doc/${PF}
+
+	rm -rf "${ED}"/usr/share/doc/${PF}/{examples/,COPYING,INSTALL,*win32-bin.txt,projects.html}
+	mv "${ED}"/usr/share/doc/${PF} "${T}"/cantuseprepalldocs || die
+	dodoc "${T}"/cantuseprepalldocs/*
+}

diff --git a/app-office/gnucash/gnucash-2.6.15.ebuild b/app-office/gnucash/gnucash-2.6.15.ebuild
new file mode 100644
index 00000000..613dc57
--- /dev/null
+++ b/app-office/gnucash/gnucash-2.6.15.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python2_7 )
+
+inherit autotools gnome2 python-single-r1
+
+DESCRIPTION="A personal finance manager"
+HOMEPAGE="http://www.gnucash.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="chipcard debug +doc gnome-keyring hbci mysql ofx postgres python quotes sqlite"
+
+# FIXME: rdepend on dev-libs/qof when upstream fix their mess (see configure.ac)
+# libdbi version requirement for sqlite taken from bug #455134
+RDEPEND="
+	>=dev-libs/glib-2.32.0:2
+	>=dev-libs/popt-1.5
+	>=dev-libs/libxml2-2.5.10:2
+	dev-libs/libxslt
+	>=dev-scheme/guile-1.8.3:12=[deprecated,regex]
+	<dev-scheme/guile-2:12
+	dev-scheme/guile-www
+	gnome-base/libgnomecanvas
+	>=net-libs/webkit-gtk-1.2:2
+	>=sys-libs/zlib-1.1.4
+	>=x11-libs/gtk+-2.24:2
+	>=x11-libs/goffice-0.7.0:0.8[gnome]
+	x11-libs/pango
+	gnome-keyring? ( >=app-crypt/libsecret-0.18 )
+	ofx? ( >=dev-libs/libofx-0.9.1 )
+	hbci? ( >=net-libs/aqbanking-5[gtk,ofx?]
+		sys-libs/gwenhywfar[gtk]
+		chipcard? ( sys-libs/libchipcard )
+	)
+	python? ( ${PYTHON_DEPS} )
+	quotes? ( dev-perl/Date-Manip
+		>=dev-perl/Finance-Quote-1.11
+		dev-perl/HTML-TableExtract )
+	sqlite? ( >=dev-db/libdbi-0.9.0
+		>=dev-db/libdbi-drivers-0.9.0[sqlite] )
+	postgres? ( dev-db/libdbi dev-db/libdbi-drivers[postgres] )
+	mysql? ( dev-db/libdbi dev-db/libdbi-drivers[mysql] )
+"
+DEPEND="${RDEPEND}
+	dev-util/intltool
+	gnome-base/gnome-common
+	sys-devel/libtool
+	virtual/pkgconfig
+"
+PDEPEND="doc? ( >=app-doc/gnucash-docs-2.2.0 )"
+
+pkg_setup() {
+	use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	# Skip test that needs some locales to be present
+	sed -i -e '/test_suite_gnc_date/d' src/libqof/qof/test/test-qof.c || die
+
+	# We need to run eautoreconf to prevent linking against system libs,
+	# this can be noticed, for example, when updating an old version
+	# compiled against guile-1.8 to a newer one relying on 2.0
+	# https://bugs.gentoo.org/show_bug.cgi?id=590536#c39
+	# https://bugzilla.gnome.org/show_bug.cgi?id=775634
+	eautoreconf
+
+	gnome2_src_prepare
+}
+
+src_configure() {
+	local myconf
+
+	DOCS="doc/README.OFX doc/README.HBCI"
+
+	if use sqlite || use mysql || use postgres ; then
+		myconf+=" --enable-dbi"
+	else
+		myconf+=" --disable-dbi"
+	fi
+
+	# gtkmm is experimental and shouldn't be enabled, upstream bug #684166
+	gnome2_src_configure \
+		$(use_enable debug) \
+		$(use_enable gnome-keyring password-storage) \
+		$(use_enable ofx) \
+		$(use_enable hbci aqbanking) \
+		$(use_enable python) \
+		--disable-doxygen \
+		--disable-gtkmm \
+		--enable-locale-specific-tax \
+		--disable-error-on-warning \
+		--with-guile=1.8 \
+		${myconf}
+}
+
+src_install() {
+	# Parallel installation fails from time to time, bug #359123
+	gnome2_src_install -j1 GNC_DOC_INSTALL_DIR=/usr/share/doc/${PF}
+
+	rm -rf "${ED}"/usr/share/doc/${PF}/{examples/,COPYING,INSTALL,*win32-bin.txt,projects.html}
+	mv "${ED}"/usr/share/doc/${PF} "${T}"/cantuseprepalldocs || die
+	dodoc "${T}"/cantuseprepalldocs/*
+}


             reply	other threads:[~2017-01-10 20:14 UTC|newest]

Thread overview: 102+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-01-10 20:14 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-30  9:40 [gentoo-commits] repo/gentoo:master commit in: app-office/gnucash/ Sam James
2024-11-19 14:10 Sam James
2024-11-08  3:54 Sam James
2024-11-01 19:26 Andreas K. Hüttel
2024-07-20  4:38 Sam James
2024-05-29 19:48 Arthur Zamarin
2024-01-20 14:49 Aaron W. Swenson
2023-12-13 13:43 Aaron W. Swenson
2023-07-28 13:12 Thomas Raschbacher
2023-05-18 12:17 Andreas Sturmlechner
2023-05-03 23:05 Sam James
2023-05-03 18:54 Arthur Zamarin
2023-01-04 21:00 Andreas Sturmlechner
2023-01-04  6:31 Arthur Zamarin
2023-01-04  6:17 Arthur Zamarin
2022-12-26  7:03 Sam James
2022-12-26  7:03 Sam James
2022-12-06 12:06 Sam James
2022-12-06 12:02 Sam James
2022-12-06 12:02 Sam James
2022-12-06 12:02 Sam James
2022-05-17  5:34 Sam James
2022-05-07  5:00 Sam James
2022-03-30 14:14 Yixun Lan
2021-12-09  6:39 Sam James
2021-12-08 23:00 Sam James
2021-11-18 14:47 Aaron W. Swenson
2021-11-18 14:38 Aaron W. Swenson
2021-05-05 10:19 Aaron W. Swenson
2021-03-09 18:01 Aaron W. Swenson
2021-03-08 10:26 Sam James
2021-03-08 10:25 Sam James
2020-12-30 11:43 Aaron W. Swenson
2020-12-06 14:09 Aaron W. Swenson
2020-12-06 14:09 Aaron W. Swenson
2020-11-20 20:08 Aaron W. Swenson
2020-11-11 18:51 Sam James
2020-09-28  1:40 Aaron W. Swenson
2020-09-14  3:13 Michał Górny
2020-08-29 13:21 Sam James
2020-07-27  3:01 Aaron W. Swenson
2020-07-21 12:09 Aaron W. Swenson
2020-05-12  6:31 Agostino Sarubbo
2020-04-03 17:30 Aaron W. Swenson
2020-01-12 11:14 David Seifert
2019-12-12 14:58 Michał Górny
2019-11-27  8:16 Agostino Sarubbo
2019-11-26 12:52 Agostino Sarubbo
2019-10-13 12:14 Mart Raudsepp
2019-10-13 11:40 Andreas Sturmlechner
2019-10-13 11:40 Andreas Sturmlechner
2019-10-13 11:40 Andreas Sturmlechner
2019-10-13 11:40 Andreas Sturmlechner
2019-10-13 11:40 Andreas Sturmlechner
2019-10-13 11:40 Andreas Sturmlechner
2019-10-13 11:40 Andreas Sturmlechner
2019-10-13 11:40 Andreas Sturmlechner
2019-10-13 11:40 Andreas Sturmlechner
2019-10-13 11:40 Andreas Sturmlechner
2019-07-03  9:37 Aaron W. Swenson
2019-05-21 13:52 Aaron W. Swenson
2019-04-10 11:30 Aaron W. Swenson
2018-11-28 13:59 Gilles Dartiguelongue
2018-11-10 12:03 Mikle Kolyada
2018-10-06 21:52 Mikle Kolyada
2018-10-05  4:10 Thomas Deutschmann
2018-10-03  2:03 Aaron Swenson
2018-09-02 11:00 Aaron Swenson
2018-09-02 10:59 Aaron Swenson
2018-08-29 10:54 Aaron Swenson
2018-08-11 11:27 Aaron Swenson
2018-05-13 16:03 Aaron Swenson
2018-04-27 20:31 Aaron Swenson
2018-04-05 11:22 Aaron Swenson
2018-03-25 14:30 Aaron Swenson
2018-03-25 14:01 Aaron Swenson
2018-03-25 14:01 Aaron Swenson
2018-03-22 10:35 Aaron Swenson
2018-02-28 13:13 Aaron Swenson
2018-02-22 11:45 Thomas Deutschmann
2018-02-18 17:49 Jason Zaman
2018-02-04 16:19 Aaron Swenson
2018-01-22 11:14 Aaron Swenson
2018-01-06 17:28 Aaron Swenson
2017-04-20  7:59 David Seifert
2017-02-15 16:49 Mart Raudsepp
2017-02-04 18:39 Pacho Ramos
2017-01-10 20:14 Pacho Ramos
2016-10-23  7:40 Pacho Ramos
2016-10-15 20:43 Gilles Dartiguelongue
2016-07-02 10:43 Pacho Ramos
2016-01-30 12:23 Pacho Ramos
2016-01-30 12:23 Pacho Ramos
2015-12-31  0:07 Gilles Dartiguelongue
2015-12-30 23:00 Gilles Dartiguelongue
2015-11-11 13:04 Gilles Dartiguelongue
2015-10-17 11:53 Pacho Ramos
2015-10-17 11:53 Pacho Ramos
2015-09-07 16:24 Mikle Kolyada
2015-09-05 17:46 Pacho Ramos
2015-09-05 17:46 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1484079239.644d25536dc3b237b9a67588d12e568a2a03767b.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox